אחרי שתשלימו את השלבים שמפורטים בקטע מכינים את הקרקע לשימוש ב-People API, תוכלו לקרוא, להעתיק ולחפש נתונים של "אנשי קשר אחרים".
בדוגמאות הקוד הבאות אפשר לראות איך לשלוח כמה בקשות פשוטות. אפשר לראות את הרשימה המלאה של השיטות במאמרי העזרה.
הצגת רשימת "אנשי קשר נוספים" של המשתמש
כדי לקבל רשימה של אנשים בקבוצה "אנשי קשר נוספים" של המשתמש, משתמשים בקוד הבא:
פרוטוקול
GET /v1/otherContacts?readMask=names,emailAddresses HTTP/1.1 Host: people.googleapis.com
Java
ListOtherContactsResponse response = peopleService.otherContacts().list() .setReadMask("metadata,names,emailAddresses") .execute(); List<Person> otherContacts = response.getOtherContacts();
הצגת רשימה של "אנשי קשר אחרים" של המשתמש שהשתנו
Java
// Initial request ListOtherContactsResponse fullSyncResponse = peopleService.otherContacts().list() .setReadMask("metadata,names,emailAddresses") .setRequestSyncToken(true) .execute(); // Fetch all the pages while (fullSyncResponse.getNextPageToken() != null) { fullSyncResponse = peopleService.otherContacts().list() .setReadMask("metadata,names,emailAddresses") .setRequestSyncToken(true) .setPageToken(fullSyncResponse.getNextPageToken()) .execute(); } // Some time passes // Fetch incremental changes using the sync token returned in the last fullSyncResponse. try { ListOtherContactsResponse incrementalSyncResponse = peopleService.otherContacts().list() .setReadMask("metadata,names,emailAddresses") .setSyncToken(fullSyncResponse.getNextSyncToken()) .execute(); for (Person person : incrementalSyncResponse.getOtherContacts()) { handlePerson(person); } // Fetch all the pages while (!incrementalSyncResponse.getNextPageToken().isEmpty()) { incrementalSyncResponse = peopleService.otherContacts().list() .setReadMask("metadata,names,emailAddresses") .setSyncToken(fullSyncResponse.getNextSyncToken()) .setPageToken(incrementalSyncResponse.getNextPageToken()) .execute(); for (Person person : incrementalSyncResponse.getOtherContacts()) { handlePerson(person); } } } catch (GoogleJsonResponseException e) { if (e.getStatusCode() == 410) { // Sync token expired. Make full sync request. } } void handlePerson(Person person) { if (person.getMetadata().getDeleted()) { // Handle deleted person } else { // Handle changed person } }
פרטים נוספים על אופן הסנכרון זמינים ב-ListOtherContacts.
העתקת "איש קשר אחר" לקבוצה "אנשי הקשר שלי"
כדי להעתיק איש קשר מהקבוצה "אנשי קשר אחרים" לקבוצה "אנשי הקשר שלי", משתמשים בקוד הבא:
פרוטוקול
POST /v1/resource_name:copyOtherContactToMyContactsGroup?copyMask=names,emailAddresses,phoneNumbers HTTP/1.1 Host: people.googleapis.com
Java
Person copiedContact = peopleService .otherContacts() .copyOtherContactToMyContactsGroup( "resource_name", new CopyOtherContactToMyContactsGroupRequest() .setCopyMask("names,emailAddresses,phoneNumbers")) .execute();
חיפוש ב"אנשי קשר אחרים" של המשתמש
כדי לחפש בכל "אנשי הקשר האחרים" של המשתמש, משתמשים בקוד הבא:
פרוטוקול
// Warmup cache GET /v1/otherContacts:search?query=&readMask=names,emailAddresses HTTP/1.1 Host: people.googleapis.com // Send search request after several seconds GET /v1/otherContacts:search?query=query&readMask=names,emailAddresses HTTP/1.1 Host: people.googleapis.com
Java
// Warmup cache SearchResponse response = peopleService.otherContacts().search() .setQuery("") .setReadMask("names,emailAddresses") .execute(); // Wait a few seconds Thread.sleep(5); // Send search request SearchResponse response = peopleService.otherContacts().search() .setQuery("query") .setReadMask("names,emailAddresses") .execute();